body, html {
    margin: 0;
    padding: 0;
    height: 100%;
    background-color: #000; /* Cor de fundo para o caso de transição */
}

.banner-container {
    position: relative;
    max-width: 100%;
    height: 100vh; /* Altura de visualização completa */
    overflow: hidden;
}

.banner-slide {
    position: absolute;
    width: 100%;
    height: 100%;
    opacity: 0;
    transition: opacity 1s ease-in-out;
}

.banner-slide img {
    width: 100%;
    height: 100%;
    object-fit: cover; /* Mantém a proporção da imagem */
}

.banner-slide.active {
    opacity: 1;
}
